Bug 827835 - [abrt] tracker-0.14.1-1.fc17: gst_structure_copy: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.14.1-1.fc17: gst_structure_copy: Process /usr/libexec/tracke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:82495dabeb43b7567d94eeeea31...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 04:53 EDT by Richard Ruhland
Modified: 2013-07-31 18:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.52 KB, text/plain)
2012-06-03 04:53 EDT, Richard Ruhland
no flags Details
File: smolt_data (4.79 KB, text/plain)
2012-06-03 04:53 EDT, Richard Ruhland
no flags Details
File: maps (49.85 KB, text/plain)
2012-06-03 04:53 EDT, Richard Ruhland
no flags Details
File: dso_list (10.49 KB, text/plain)
2012-06-03 04:53 EDT, Richard Ruhland
no flags Details
File: build_ids (4.20 KB, text/plain)
2012-06-03 04:53 EDT, Richard Ruhland
no flags Details

  None (edit)
Description Richard Ruhland 2012-06-03 04:53:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: gst_structure_copy
executable:     /usr/libexec/tracker-extract
kernel:         3.3.7-1.fc17.x86_64
pid:            4371
pwd:            /
time:           Sa 02 Jun 2012 15:59:26 CEST
uid:            1000
username:       richard
xsession_errors: 

backtrace:      Text file, 60946 bytes
build_ids:      Text file, 4305 bytes
dso_list:       Text file, 10745 bytes
maps:           Text file, 51044 bytes
smolt_data:     Text file, 4903 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/richard/4

core_backtrace:
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x7716c gst_structure_copy libgstreamer-0.10.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xc7c0 - libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x75fbd - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x77abc gst_structure_id_set libgstreamer-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x150ec - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x15189 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ff4 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x151d5 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x154cd - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x16a6c gst_discoverer_discover_uri libgstpbutils-0.10.so.0 -
:cf6d07f8a73b77fa6aecf443fd9545fbea4126d7 0x48c5 - libextract-gstreamer.so -
:cf6d07f8a73b77fa6aecf443fd9545fbea4126d7 0x6153 tracker_extract_get_metadata libextract-gstreamer.so -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9764 - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9c1d - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9faa - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x754f main [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-2A6iQn9Vbd,guid=ecdf66579f50e329939bc18000000675
:XDG_RUNTIME_DIR=/run/user/richard
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/richard/keyring-4FKb6B/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2995,unix/unix:/tmp/.ICE-unix/2995
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=2
:USERNAME=richard
:GDMSESSION=gnome
:XDG_SESSION_ID=4
:GPG_AGENT_INFO=/run/user/richard/keyring-4FKb6B/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2A6iQn9Vbd,guid=ecdf66579f50e329939bc18000000675
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-richard-QiBG8V/database
:USER=richard
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=2991
:SHLVL=1
:PWD=/home/richard
:GNOME_KEYRING_CONTROL=/run/user/richard/keyring-4FKb6B
:LANG=de_DE.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=richard
:HOME=/home/richard

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             1954686976           unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127965               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         1954686976           unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127965               127965               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[118024]
:pos:	0
:flags:	02004002
:7:socket:[117630]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:pipe:[116458]
:pos:	0
:flags:	02000001
:11:/home/richard/.local/share/tracker/tracker-extract.log
:pos:	2655028
:flags:	0102001
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[107458]
:pos:	0
:flags:	02004002
:14:/home/richard/Downloads/themes/Sound/Mail-Notify-Sound/Mail29.wav
:pos:	4166
:flags:	0100000
:15:pipe:[116458]
:pos:	0
:flags:	02000001
:16:pipe:[116459]
:pos:	0
:flags:	02000001
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:pipe:[107466]
:pos:	0
:flags:	01
:19:pipe:[116459]
:pos:	0
:flags:	02000001
:20:pipe:[116460]
:pos:	0
:flags:	02000001
:21:pipe:[107467]
:pos:	0
:flags:	01
:22:pipe:[116461]
:pos:	0
:flags:	02000001
:23:pipe:[107474]
:pos:	0
:flags:	01
:24:pipe:[116460]
:pos:	0
:flags:	02000001
:25:pipe:[112532]
:pos:	0
:flags:	02000001
:26:pipe:[112406]
:pos:	0
:flags:	01
:27:pipe:[107464]
:pos:	0
:flags:	01
:28:pipe:[122902]
:pos:	0
:flags:	02000001
:29:pipe:[122901]
:pos:	0
:flags:	02000001
:30:pipe:[122902]
:pos:	0
:flags:	02000001
:31:pipe:[112534]
:pos:	0
:flags:	02000001
:32:pipe:[112534]
:pos:	0
:flags:	02000001
:33:pipe:[118202]
:pos:	0
:flags:	02000001
:34:pipe:[118202]
:pos:	0
:flags:	02000001
:35:pipe:[112532]
:pos:	0
:flags:	02000001
:36:pipe:[112533]
:pos:	0
:flags:	02000001
:37:pipe:[116461]
:pos:	0
:flags:	02000001
:38:pipe:[107473]
:pos:	0
:flags:	01
:39:pipe:[112533]
:pos:	0
:flags:	02000001
:40:pipe:[107475]
:pos:	0
:flags:	01
:41:pipe:[122901]
:pos:	0
:flags:	02000001

var_log_messages:
:Jun  2 00:20:33 localhost kernel: [  744.913744] tracker-extract[3262]: segfault at 7f4600000000 ip 0000003dc3077162 sp 00007fffb809d160 error 4 in libgstreamer-0.10.so.0.30.0[3dc3000000+dd000]
:Jun  2 00:20:34 localhost abrt[3481]: Saved core dump of pid 3262 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-06-02-00:20:33-3262 (154775552 bytes)
:Jun  2 00:20:34 localhost kernel: [  745.571133] tracker-extract[3500]: segfault at 135ed40 ip 000000000135ed40 sp 00007fff53ba6b98 error 15
:Jun  2 00:20:34 localhost abrt[3524]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun  2 00:20:34 localhost kernel: [  745.638028] tracker-extract[3526]: segfault at 20 ip 0000003dc307716c sp 00007fff5249bad0 error 4 in libgstreamer-0.10.so.0.30.0[3dc3000000+dd000]
:Jun  2 00:20:34 localhost abrt[3543]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun  2 00:20:34 localhost kernel: [  746.023123] tracker-extract[3545]: segfault at a0 ip 0000003dc307716c sp 00007fffe300d150 error 4 in libgstreamer-0.10.so.0.30.0[3dc3000000+dd000]
:Jun  2 00:20:34 localhost abrt[3570]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun  2 00:20:34 localhost kernel: [  746.153011] tracker-extract[3572]: segfault at 100000016 ip 0000003dad831508 sp 00007fff2138f620 error 4 in libgobject-2.0.so.0.3200.1[3dad800000+4b000]
:Jun  2 00:20:34 localhost abrt[3588]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun  2 13:38:04 localhost kernel: [  965.566434] tracker-extract[2905]: segfault at 0 ip 00007f177ca8f610 sp 00007fff0b6e8588 error 4 in libglib-2.0.so.0.3200.3[7f177ca57000+11d000]
:Jun  2 13:38:05 localhost abrt[2925]: Saved core dump of pid 2905 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-06-02-13:38:04-2905 (148074496 bytes)
:Jun  2 13:38:10 localhost kernel: [  971.053200] tracker-extract[2957]: segfault at 7f5a00000000 ip 0000003dc3077162 sp 00007ffffd4a31b0 error 4 in libgstreamer-0.10.so.0.30.0[3dc3000000+dd000]
:Jun  2 13:38:10 localhost abrt[2979]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun  2 15:59:26 localhost kernel: [ 2691.701344] tracker-extract[4371]: segfault at 80 ip 0000003dc307716c sp 00007fff39596c70 error 4 in libgstreamer-0.10.so.0.30.0[3dc3000000+dd000]
:Jun  2 15:59:27 localhost abrt[4417]: Saved core dump of pid 4371 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-06-02-15:59:26-4371 (152678400 bytes)
Comment 1 Richard Ruhland 2012-06-03 04:53:31 EDT
Created attachment 588803 [details]
File: backtrace
Comment 2 Richard Ruhland 2012-06-03 04:53:33 EDT
Created attachment 588804 [details]
File: smolt_data
Comment 3 Richard Ruhland 2012-06-03 04:53:35 EDT
Created attachment 588805 [details]
File: maps
Comment 4 Richard Ruhland 2012-06-03 04:53:38 EDT
Created attachment 588806 [details]
File: dso_list
Comment 5 Richard Ruhland 2012-06-03 04:53:39 EDT
Created attachment 588807 [details]
File: build_ids
Comment 6 Karolis Dauzickas 2012-06-08 06:28:23 EDT
Seems to occur on intensive file IO. This one appeared when downloading via torrents

backtrace_rating: 4
Package: tracker-0.14.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 17:37:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 18:54:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.